#ifndef RT_APP_H
#define RT_APP_H

/* Platform specific application entry point */

#include "runtime.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifdef _WIN32

/* Forward declared here, to avoid including windows.h */
struct HINSTANCE__;

RT_DLLEXPORT int rtWin32Entry(struct HINSTANCE__ *hInstance,
                              struct HINSTANCE__ *hPrevInstance,
                              wchar_t *pCmdLine,
                              int nCmdShow);

#elif defined(RT_USE_XLIB)

RT_DLLEXPORT int rtXlibEntry(int argc, char **argv);

#endif

#ifdef __cplusplus
}
#endif

#endif
