#ifndef RT_ASSETC_ASSETSETTINGS_H
#define RT_ASSETC_ASSETSETTINGS_H

#include "runtime/runtime.h"
#include <stdbool.h>

typedef struct {
    unsigned int package;
    uint32_t processing_flags;
    bool reprocess_on_dependency_change;
} rt_asset_settings;


rt_result rtParseAssetSettings(const char *text,
                               size_t length,
                               const char *file_path,
                               rt_asset_settings *settings);

rt_result rtLoadAssetSettings(const char *asset_path, rt_asset_settings *settings);

#endif
