#include "hashing.h"

#include <xxhash/xxhash.h>
#include <assert.h>

static_assert(sizeof(rt_hash64) == sizeof(XXH64_hash_t), "Size mismatch between rt_hash64 and XXH64_hash_t!");

RT_DLLEXPORT rt_hash64 rtHashBytes(const void *begin, size_t count) {
    return XXH3_64bits(begin, count);
}