#ifndef RT_ASSETC_PROCESSING_FLAGS_H
#define RT_ASSETC_PROCESSING_FLAGS_H

/* Shader processing flags */
enum {
    /* Type is encoded in the lower bits */
    RT_SHADER_FLAG_VERTEX   = 0x01,
    RT_SHADER_FLAG_FRAGMENT = 0x02,
    RT_SHADER_FLAG_COMPUTE  = 0x03,

    RT_SHADER_FLAG_TYPE_MASK =
        RT_SHADER_FLAG_VERTEX | RT_SHADER_FLAG_FRAGMENT | RT_SHADER_FLAG_COMPUTE,

    RT_SHADER_FLAG_OPTIMIZE_SPEED = 0x04,
    RT_SHADER_FLAG_OPTIMIZE_SIZE  = 0x08,
    RT_SHADER_FLAG_OPTIMIZE_MASK  = RT_SHADER_FLAG_OPTIMIZE_SPEED | RT_SHADER_FLAG_OPTIMIZE_SIZE,
};


#endif
